import { IoptionsParams, PaymentContext, RequestConfig, SDKMetaData, Service } from './deps';
/**
 * @author congle.zzq <congle.zzq@alipay.com>
 * @date 2024/9/18
 */
export declare class RequesterService implements Service {
    private sandboxFlag?;
    private instanceId;
    init(initOptions: IoptionsParams, instanceId: string, sdkMetaData: SDKMetaData): void;
    /**
     *
     * @param requestData 请求参数
     * @param options 请求配置
     * @example request({ name: 'test' }, { operation-type: 'xxx.xxx.xxx' })
     */
    request<T>(requestData: Record<string, any> | undefined, options: RequestConfig): Promise<T>;
    getEnvInfo(options: RequestConfig): any;
    private reportRequestTimeCost;
    update(paymentSession: PaymentContext): void;
    destroy(): void;
    private createRequestInstance;
}
